Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL12

    java.lang.Object
      org.lwjgl.opengl.GL12

    public final class GL12

extends java.lang.Object

Field Summary
`static int` | `GL_ALIASED_LINE_WIDTH_RANGE`
`static int` | `GL_ALIASED_POINT_SIZE_RANGE`
`static int` | `GL_BGR`
`static int` | `GL_BGRA`
`static int` | `GL_CLAMP_TO_EDGE`
`static int` | `GL_LIGHT_MODEL_COLOR_CONTROL`
`static int` | `GL_MAX_3D_TEXTURE_SIZE`
`static int` | `GL_MAX_ELEMENTS_INDICES`
`static int` | `GL_MAX_ELEMENTS_VERTICES`
`static int` | `GL_PACK_IMAGE_HEIGHT`
`static int` | `GL_PACK_SKIP_IMAGES`
`static int` | `GL_PROXY_TEXTURE_3D`
`static int` | `GL_RESCALE_NORMAL`
`static int` | `GL_SEPARATE_SPECULAR_COLOR`
`static int` | `GL_SINGLE_COLOR`
`static int` | `GL_TABLE_TOO_LARGE`
`static int` | `GL_TEXTURE_3D`
`static int` | `GL_TEXTURE_BASE_LEVEL`
`static int` | `GL_TEXTURE_DEPTH`
`static int` | `GL_TEXTURE_MAX_LEVEL`
`static int` | `GL_TEXTURE_MAX_LOD`
`static int` | `GL_TEXTURE_MIN_LOD`
`static int` | `GL_TEXTURE_WRAP_R`
`static int` | `GL_UNPACK_IMAGE_HEIGHT`
`static int` | `GL_UNPACK_SKIP_IMAGES`
`static int` | `GL_UNSIGNED_BYTE_2_3_3_REV`
`static int` | `GL_UNSIGNED_BYTE_3_3_2`
`static int` | `GL_UNSIGNED_INT_10_10_10_2`
`static int` | `GL_UNSIGNED_INT_2_10_10_10_REV`
`static int` | `GL_UNSIGNED_INT_8_8_8_8`
`static int` | `GL_UNSIGNED_INT_8_8_8_8_REV`
`static int` | `GL_UNSIGNED_SHORT_1_5_5_5_REV`
`static int` | `GL_UNSIGNED_SHORT_4_4_4_4`
`static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV`
`static int` | `GL_UNSIGNED_SHORT_5_5_5_1`
`static int` | `GL_UNSIGNED_SHORT_5_6_5`
`static int` | `GL_UNSIGNED_SHORT_5_6_5_REV`

Method Summary
`static void` | `glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void` | `glDrawRangeElements(int mode, int start, int end, java.nio.ByteBuffer indices)`
`static void` | `glDrawRangeElements(int mode, int start, int end, java.nio.IntBuffer indices)`
`static void` | `glDrawRangeElements(int mode, int start, int end, int count, int type, long indices_buffer_offset)`
`static void` | `glDrawRangeElements(int mode, int start, int end, java.nio.ShortBuffer indices)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, java.nio.ShortBuffer pixels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TABLE_TOO_LARGE

    public static final int GL_TABLE_TOO_LARGE

See Also:
  Constant Field Values

### GL_PACK_SKIP_IMAGES

    public static final int GL_PACK_SKIP_IMAGES

See Also:
  Constant Field Values

### GL_PACK_IMAGE_HEIGHT

    public static final int GL_PACK_IMAGE_HEIGHT

See Also:
  Constant Field Values

### GL_UNPACK_SKIP_IMAGES

    public static final int GL_UNPACK_SKIP_IMAGES

See Also:
  Constant Field Values

### GL_UNPACK_IMAGE_HEIGHT

    public static final int GL_UNPACK_IMAGE_HEIGHT

See Also:
  Constant Field Values

### GL_TEXTURE_3D

    public static final int GL_TEXTURE_3D

See Also:
  Constant Field Values

### GL_PROXY_TEXTURE_3D

    public static final int GL_PROXY_TEXTURE_3D

See Also:
  Constant Field Values

### GL_TEXTURE_DEPTH

    public static final int GL_TEXTURE_DEPTH

See Also:
  Constant Field Values

### GL_TEXTURE_WRAP_R

    public static final int GL_TEXTURE_WRAP_R

See Also:
  Constant Field Values

### GL_MAX_3D_TEXTURE_SIZE

    public static final int GL_MAX_3D_TEXTURE_SIZE

See Also:
  Constant Field Values

### GL_BGR

    public static final int GL_BGR

See Also:
  Constant Field Values

### GL_BGRA

    public static final int GL_BGRA

See Also:
  Constant Field Values

### GL_UNSIGNED_BYTE_3_3_2

    public static final int GL_UNSIGNED_BYTE_3_3_2

See Also:
  Constant Field Values

### GL_UNSIGNED_BYTE_2_3_3_REV

    public static final int GL_UNSIGNED_BYTE_2_3_3_REV

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5

    public static final int GL_UNSIGNED_SHORT_5_6_5

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5_REV

    public static final int GL_UNSIGNED_SHORT_5_6_5_REV

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4

    public static final int GL_UNSIGNED_SHORT_4_4_4_4

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4_REV

    public static final int GL_UNSIGNED_SHORT_4_4_4_4_REV

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_5_5_5_1

    public static final int GL_UNSIGNED_SHORT_5_5_5_1

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT_1_5_5_5_REV

    public static final int GL_UNSIGNED_SHORT_1_5_5_5_REV

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8

    public static final int GL_UNSIGNED_INT_8_8_8_8

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8_REV

    public static final int GL_UNSIGNED_INT_8_8_8_8_REV

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_10_10_10_2

    public static final int GL_UNSIGNED_INT_10_10_10_2

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_2_10_10_10_REV

    public static final int GL_UNSIGNED_INT_2_10_10_10_REV

See Also:
  Constant Field Values

### GL_RESCALE_NORMAL

    public static final int GL_RESCALE_NORMAL

See Also:
  Constant Field Values

### GL_LIGHT_MODEL_COLOR_CONTROL

    public static final int GL_LIGHT_MODEL_COLOR_CONTROL

See Also:
  Constant Field Values

### GL_SINGLE_COLOR

    public static final int GL_SINGLE_COLOR

See Also:
  Constant Field Values

### GL_SEPARATE_SPECULAR_COLOR

    public static final int GL_SEPARATE_SPECULAR_COLOR

See Also:
  Constant Field Values

### GL_CLAMP_TO_EDGE

    public static final int GL_CLAMP_TO_EDGE

See Also:
  Constant Field Values

### GL_TEXTURE_MIN_LOD

    public static final int GL_TEXTURE_MIN_LOD

See Also:
  Constant Field Values

### GL_TEXTURE_MAX_LOD

    public static final int GL_TEXTURE_MAX_LOD

See Also:
  Constant Field Values

### GL_TEXTURE_BASE_LEVEL

    public static final int GL_TEXTURE_BASE_LEVEL

See Also:
  Constant Field Values

### GL_TEXTURE_MAX_LEVEL

    public static final int GL_TEXTURE_MAX_LEVEL

See Also:
  Constant Field Values

### GL_MAX_ELEMENTS_VERTICES

    public static final int GL_MAX_ELEMENTS_VERTICES

See Also:
  Constant Field Values

### GL_MAX_ELEMENTS_INDICES

    public static final int GL_MAX_ELEMENTS_INDICES

See Also:
  Constant Field Values

### GL_ALIASED_POINT_SIZE_RANGE

    public static final int GL_ALIASED_POINT_SIZE_RANGE

See Also:
  Constant Field Values

### GL_ALIASED_LINE_WIDTH_RANGE

    public static final int GL_ALIASED_LINE_WIDTH_RANGE

See Also:
  Constant Field Values

Method Detail

### glDrawRangeElements

    public static void glDrawRangeElements(int mode,
                                           int start,
                                           int end,
                                           java.nio.ByteBuffer indices)

### glDrawRangeElements

    public static void glDrawRangeElements(int mode,
                                           int start,
                                           int end,
                                           java.nio.IntBuffer indices)

### glDrawRangeElements

    public static void glDrawRangeElements(int mode,
                                           int start,
                                           int end,
                                           java.nio.ShortBuffer indices)

### glDrawRangeElements

    public static void glDrawRangeElements(int mode,
                                           int start,
                                           int end,
                                           int count,
                                           int type,
                                           long indices_buffer_offset)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer pixels)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.DoubleBuffer pixels)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.FloatBuffer pixels)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.IntBuffer pixels)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ShortBuffer pixels)

### glTexImage3D

    public static void glTexImage3D(int target,
                                    int level,
                                    int internalFormat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int format,
                                    int type,
                                    long pixels_buffer_offset)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer pixels)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer pixels)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer pixels)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       java.nio.IntBuffer pixels)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       java.nio.ShortBuffer pixels)

### glTexSubImage3D

    public static void glTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int type,
                                       long pixels_buffer_offset)

### glCopyTexSubImage3D

    public static void glCopyTexSubImage3D(int target,
                                           int level,
                                           int xoffset,
                                           int yoffset,
                                           int zoffset,
                                           int x,
                                           int y,
                                           int width,
                                           int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.